export class PlayAuthInfo {
    constructor() {
        this.mPlayAuth = "";
        this.mFormats = [];
    }
    setPlayAuth(p35) {
        this.mPlayAuth = p35;
    }
    getPlayAuth() {
        return this.mPlayAuth;
    }
    setFormats(o35) {
        this.mFormats = o35;
    }
    getFormats() {
        return this.mFormats;
    }
    getFormatStr() {
        if (!this.mFormats || this.mFormats.length === 0) {
            return "";
        }
        let m35 = "";
        for (let n35 of this.mFormats) {
            if (n35 != null) {
                m35 += n35 + ",";
            }
        }
        if (m35.length > 0) {
            m35 = m35.slice(0, -1);
        }
        return m35;
    }
}
